/**
 * Local - Data
 */
import type { LocalData, LocalDataParams, AllLocalDataArgs } from './localDataTypes.js';
import type { RenderAllData } from '../render/renderTypes.js';
/**
 * Get data from file or cache
 *
 * @param {string} key
 * @param {LocalDataParams} params
 * @return {Promise<LocalData | null>}
 */
declare const getLocalData: (key?: string, params?: LocalDataParams) => Promise<LocalData | null>;
/**
 * Get data from file system
 *
 * @param {AllLocalDataArgs} args
 * @return {Promise<RenderAllData|undefined>}
 */
declare const getAllLocalData: (args: AllLocalDataArgs) => Promise<RenderAllData | undefined>;
export { getLocalData, getAllLocalData };
