"use strict";
/**
 * Redirects
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setRedirects = exports.redirects = void 0;
const array_js_1 = require("../utils/array/array.js");
const object_js_1 = require("../utils/object/object.js");
/**
 * Redirects data
 *
 * @type {string[]}
 */
let redirects = [];
exports.redirects = redirects;
/**
 * Set redirects with normalized data
 *
 * @param {RenderRedirect[]} data
 * @return {boolean}
 */
const setRedirects = (data) => {
    if (!(0, array_js_1.isArrayStrict)(data)) {
        return false;
    }
    exports.redirects = redirects = [];
    data.forEach((item) => {
        if (!(0, object_js_1.isObjectStrict)(item)) {
            return;
        }
        const { redirect } = item;
        if (!(0, array_js_1.isArrayStrict)(redirect)) {
            return;
        }
        exports.redirects = redirects = redirects.concat(redirect);
    });
    return redirects.length > 1;
};
exports.setRedirects = setRedirects;
