"use strict";
/**
 * Redirects - File
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRedirectsFile = void 0;
/* Imports */
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
const print_js_1 = require("../utils/print/print.js");
const redirects_js_1 = require("./redirects.js");
/**
 * Create redirects file from redirects array
 *
 * @param {string} path
 * @return {Promise<void>}
 */
const createRedirectsFile = async (path = 'site/_redirects') => {
    const redirectsPath = (0, node_path_1.resolve)(path);
    const redirectsDir = (0, node_path_1.dirname)(redirectsPath);
    await (0, promises_1.mkdir)(redirectsDir, { recursive: true });
    await (0, promises_1.writeFile)(redirectsPath, redirects_js_1.redirects.join('\n').trimEnd());
    (0, print_js_1.print)('[SSF] Successfully wrote', redirectsPath, 'success');
};
exports.createRedirectsFile = createRedirectsFile;
