"use strict";
/**
 * Render - Inline
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderInlineItem = exports.renderInlineContent = void 0;
const render_js_1 = require("./render.js");
const object_js_1 = require("../utils/object/object.js");
const string_js_1 = require("../utils/string/string.js");
/**
 * Convenience wrapper for render content
 *
 * @param {RenderItem[]} items
 * @return {Promise<string>}
 */
const renderInlineContent = async (items) => {
    return await (0, render_js_1.renderContent)({
        content: items,
        parents: [],
        pageData: {},
        pageContains: [],
        pageHeadings: [],
        navigations: {}
    });
};
exports.renderInlineContent = renderInlineContent;
/**
 * Convenience wrapper for render item
 *
 * @param {RenderInlineItemArgs} args
 * @return {Promise<string>}
 */
const renderInlineItem = async (args) => {
    if (!(0, object_js_1.isObjectStrict)(args)) {
        return '';
    }
    const { contentType } = args;
    const res = await (0, render_js_1.renderItem)({
        item: args,
        contentType
    });
    if ((0, string_js_1.isString)(res?.data?.output)) {
        return res.data.output;
    }
    return '';
};
exports.renderInlineItem = renderInlineItem;
