/**
 * Serverless
 */
import type { ServerlessRoutes, ServerlessActions, ServerlessArgs } from './serverlessTypes.js';
import type { GenericStrings } from '../global/globalTypes.js';
/**
 * Directory to write serverless files to
 *
 * @type {string}
 */
declare let serverlessDir: string;
/**
 * Serverless routes to create files for
 *
 * @type {ServerlessRoutes}
 */
declare let serverlessRoutes: ServerlessRoutes;
/**
 * Api keys for use in serverless functions
 *
 * @type {GenericStrings}
 */
declare let serverlessApiKeys: GenericStrings;
/**
 * Actions to use in serverless functions
 *
 * @type {ServerlessActions}
 */
declare let serverlessActions: ServerlessActions;
/**
 * Set serverless options
 *
 * @param {ServerlessArgs} args
 * @param {string} [dir]
 */
declare const setServerless: (args: ServerlessArgs, dir?: string) => boolean;
export { serverlessDir, serverlessRoutes, serverlessApiKeys, serverlessActions, setServerless };
