"use strict";
/**
 * Store - Files
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStoreFiles = void 0;
/* Imports */
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
const print_js_1 = require("../utils/print/print.js");
const store_js_1 = require("./store.js");
/**
 * Create files from store object
 *
 * @return {Promise<void>}
 */
const createStoreFiles = async () => {
    await (0, promises_1.mkdir)((0, node_path_1.resolve)(store_js_1.storeDir), { recursive: true });
    for (const [key, data] of Object.entries(store_js_1.store)) {
        const fileName = `${key}.json`;
        const path = (0, node_path_1.resolve)(store_js_1.storeDir, fileName);
        await (0, promises_1.writeFile)(path, JSON.stringify(data));
        (0, print_js_1.print)('[SSF] Successfully wrote', path, 'success');
    }
};
exports.createStoreFiles = createStoreFiles;
