"use strict";
/**
 * Utils - Array
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isArrayStrict = exports.isArray = void 0;
/**
 * Check if value is an array
 *
 * @param {*} value
 * @return {boolean}
 */
const isArray = (value) => {
    return Array.isArray(value);
};
exports.isArray = isArray;
/**
 * Check if value is an array with items
 *
 * @param {*} value
 * @return {boolean}
 */
const isArrayStrict = (value) => {
    return isArray(value) && value.length > 0;
};
exports.isArrayStrict = isArrayStrict;
