"use strict";
/**
 * Utils - Content Type
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeContentType = void 0;
/* Imports */
const string_js_1 = require("../string/string.js");
const config_js_1 = require("../../config/config.js");
/**
 * Convert to normal content type if available
 *
 * @param {string} contentType
 * @return {string}
 */
const normalizeContentType = (contentType = '') => {
    if (!(0, string_js_1.isStringStrict)(contentType)) {
        return '';
    }
    const normalType = config_js_1.config.normalTypes[contentType];
    if ((0, string_js_1.isStringStrict)(normalType)) {
        return normalType;
    }
    return contentType;
};
exports.normalizeContentType = normalizeContentType;
