"use strict";
/**
 * Utils - Data Source
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.dataSource = void 0;
const string_js_1 = require("../string/string.js");
const config_js_1 = require("../../config/config.js");
/**
 * Check and get data source
 *
 * @type {DataSource}
 */
const dataSource = {
    isContentful(source = config_js_1.config.source) {
        return config_js_1.config.cms.name === 'contentful' && source === 'cms';
    },
    isWordPress(source = config_js_1.config.source) {
        return config_js_1.config.cms.name === 'wordpress' && source === 'cms';
    },
    isLocal(source = config_js_1.config.source) {
        return source === 'local';
    },
    get() {
        const cmsName = config_js_1.config.cms.name;
        if ((0, string_js_1.isStringStrict)(cmsName)) {
            return cmsName;
        }
        return config_js_1.config.source;
    }
};
exports.dataSource = dataSource;
