/**
 * Utils - Json
 */
/**
 * Check and return valid JSON or fallback
 *
 * @param {string} value
 * @return {object|undefined}
 */
declare const getJson: <T>(value: string) => (object & T) | undefined;
/**
 * Import json file and return contents if object
 *
 * @param {string} path
 * @param {boolean} isStore
 * @return {Promise<object|undefined>}
 */
declare const getJsonFile: <T>(path: string, isStore?: boolean) => Promise<(object & T) | undefined>;
export { getJson, getJsonFile };
