"use strict";
/**
 * Utils - Json
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJsonFile = exports.getJson = void 0;
/* Imports */
const object_js_1 = require("../object/object.js");
const path_js_1 = require("../path/path.js");
const filter_js_1 = require("../filter/filter.js");
/**
 * Check and return valid JSON or fallback
 *
 * @param {string} value
 * @return {object|undefined}
 */
const getJson = (value) => {
    try {
        const obj = JSON.parse(value);
        if ((0, object_js_1.isObject)(obj)) {
            return obj;
        }
        throw new Error('Parsed value is not an object');
    }
    catch {
        return undefined;
    }
};
exports.getJson = getJson;
/**
 * Import json file and return contents if object
 *
 * @param {string} path
 * @param {boolean} isStore
 * @return {Promise<object|undefined>}
 */
const getJsonFile = async (path, isStore = true) => {
    let res;
    let newPath = path;
    try {
        newPath = isStore ? (0, path_js_1.getPath)(path, 'store') : path;
        const { default: obj } = await Promise.resolve(`${newPath}`).then(s => __importStar(require(s))); // Removed assert json as not all exports are esnext
        if ((0, object_js_1.isObject)(obj)) {
            res = obj;
        }
        else {
            throw new Error('No object in json file');
        }
    }
    catch (err) {
        res = undefined;
    }
    return isStore ? await (0, filter_js_1.applyFilters)('storeData', res, newPath, true) : res;
};
exports.getJsonFile = getJsonFile;
