/**
 * Utils - Link
 */
import type { LinkSlugArgs, LinkSlugReturnType } from './linkTypes.js';
import type { InternalLink } from '../../global/globalTypes.js';
/**
 * Get slug with archive/taxonomy base and parents
 *
 * @param {LinkSlugArgs} args
 * @return {LinkSlugReturnType}
 */
declare const getSlug: <T extends boolean = false>(args: LinkSlugArgs, returnParents?: T) => LinkSlugReturnType<T>;
/**
 * Get absolute or relative url
 *
 * @param {string} slug
 * @param {boolean} trailingSlash
 * @return {string}
 */
declare const getPermalink: (slug?: string, trailingSlash?: boolean) => string;
/**
 * Get permalink from external or internal source
 *
 * @param {InternalLink} [internalLink]
 * @param {string} [externalLink]
 * @return {string}
 */
declare const getLink: (internalLink?: InternalLink, externalLink?: string) => string;
export { getSlug, getLink, getPermalink };
