"use strict";
/**
 * Utils - Object
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isObjectStrict = exports.isObject = void 0;
/**
 * Check if value is an object
 *
 * @param {*} value
 * @return {boolean}
 */
const isObject = (value) => {
    return typeof value === 'object' && value != null;
};
exports.isObject = isObject;
/**
 * Check if value is an object and not object-like (array, map, blob etc.)
 *
 * @param {*} value
 * @return {boolean}
 */
const isObjectStrict = (value) => {
    return isObject(value) && Object.prototype.toString.call(value) === '[object Object]';
};
exports.isObjectStrict = isObjectStrict;
