"use strict";
/**
 * Utils - Print
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.print = void 0;
/* Imports */
const array_js_1 = require("../array/array.js");
/**
 * Output console message
 *
 * @param {string} pre
 * @param {string|string[]|*} message
 * @param {string} [type=error] - error | warning | success | info
 * @return {void}
 */
const print = (pre = 'Log', message, type = 'error') => {
    const red = '\x1b[31m';
    const green = '\x1b[32m';
    const yellow = '\x1b[33m';
    const blue = '\x1b[36m';
    const reset = '\x1b[0m';
    const bold = '\x1b[1m';
    const messageArr = (0, array_js_1.isArray)(message) ? message : [message];
    const messageStr = messageArr.join('\n').trim();
    const output = `${bold}${pre}: ${reset}\n${messageStr}`;
    if (type === 'error') {
        console.error(`${red}${output}`);
    }
    if (type === 'warning') {
        console.warn(`${yellow}${output}`);
    }
    if (type === 'success') {
        console.info(`${green}${output}`);
    }
    if (type === 'info') {
        console.info(`${blue}${output}`);
    }
};
exports.print = print;
