/**
 * Utils - Script Style
 */
import type { Scripts, Styles } from './scriptStyleTypes.js';
/**
 * Scripts data per render item
 *
 * @type {Scripts}
 */
declare const scripts: Scripts;
/**
 * Styles data per render item
 *
 * @type {Styles}
 */
declare const styles: Styles;
/**
 * Add script path and dependencies to item and build maps
 *
 * @param {string} path
 * @param {string[]} [deps]
 * @return {boolean}
 */
declare const addScript: (path: string, deps?: string[]) => boolean;
/**
 * Add style path and dependencies to item and build maps
 *
 * @param {string} path
 * @param {string[]} [deps]
 * @return {boolean}
 */
declare const addStyle: (path: string, deps?: string[]) => boolean;
/**
 * Output script elements
 *
 * @param {string} link
 * @return {string}
 */
declare const outputScripts: (link: string) => string;
/**
 * Output stylesheet elements
 *
 * @param {string} link
 * @return {string}
 */
declare const outputStyles: (link: string) => string;
export { scripts, styles, addScript, addStyle, outputScripts, outputStyles };
