/**
 * Utils - Script Style Types
 */
import type { Generic } from '../../global/globalTypes.js';
import type { FormScriptMeta } from '../../objects/Form/FormTypes.js';
/**
 * @typedef ScriptMeta
 * @type {Generic}
 * @prop {Object<string, FormScriptMeta>} [forms]
 */
export interface ScriptMeta extends Generic {
    forms?: Record<string, FormScriptMeta>;
}
/**
 * @typedef {object} Scripts
 * @prop {Map.<string, Set<string>>} deps
 * @prop {Map<string, string>} item - Current render item scripts or styles
 * @prop {Map<string, string>} build
 * @prop {ScriptMeta} meta
 */
export interface Scripts {
    deps: Map<string, Set<string>>;
    item: Map<string, string>;
    build: Map<string, string>;
    meta: ScriptMeta;
}
/**
 * @typedef {object} Styles
 * @prop {Map.<string, Set<string>>} deps
 * @prop {Map<string, string>} item - Current render item scripts or styles
 * @prop {Map<string, string>} build
 */
export interface Styles {
    deps: Map<string, Set<string>>;
    item: Map<string, string>;
    build: Map<string, string>;
}
