"use strict";
/**
 * Utils - Set
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSetStrict = exports.isSet = void 0;
/**
 * Check if value is a set
 *
 * @param {*} value
 * @return {boolean}
 */
const isSet = (value) => {
    return value instanceof Set;
};
exports.isSet = isSet;
/**
 * Check if value is a set and not empty
 *
 * @param {*} value
 * @return {boolean}
 */
const isSetStrict = (value) => {
    return isSet(value) && value.size > 0;
};
exports.isSetStrict = isSetStrict;
