/**
 * Contentful - Data
 */
import type { ContentfulDataParams, AllContentfulDataArgs } from './contentfulDataTypes.js';
import type { RenderAllData, RenderItem } from '../render/renderTypes.js';
/**
 * Fetch data from contentful cms or cache
 *
 * @param {string} key
 * @param {ContentfulDataParams} params
 * @return {Promise<RenderItem[]>}
 */
declare const getContentfulData: (key?: string, params?: ContentfulDataParams) => Promise<RenderItem[]>;
/**
 * Fetch data from all content types or single entry if serverless
 *
 * @param {AllContentfulDataArgs} args
 * @return {Promise<RenderAllData|undefined>}
 */
declare const getAllContentfulData: (args?: AllContentfulDataArgs) => Promise<RenderAllData | undefined>;
export { getContentfulData, getAllContentfulData };
