/**
 * Local - Data Normal
 */
/**
 * Recursively set internal props from outer data
 *
 * @param {object} data
 * @param {object} currentData
 * @param {string[]} [props]
 * @param {function} [filterValue]
 * @return {void}
 */
declare const resolveInternalLinks: <T, U>(data: T, currentData: U, props?: string[], filterValue?: Function) => void;
/**
 * Set property in object or array of objects to undefined
 *
 * @param {object|object[]} obj
 * @param {string[]} props
 * @return {object|object[]}
 */
declare const undefineProps: <T>(obj: T, props?: string[]) => T;
export { resolveInternalLinks, undefineProps };
