/**
 * Serverless - Preview
 */
import type { ServerlessContext, ServerlessSetup } from '../serverlessTypes.js';
import type { getAllContentfulData } from '../../contentful/contentfulData.js';
import type { getAllWordPressData } from '../../wordpress/wordpressData.js';
/**
 * Output preview from contentful or wordpress
 *
 * @param {ServerlessContext} context
 * @param {ServerlessSetup} setupServerless
 * @param {function} getData - getAllContentfulData | getAllWordPressData
 * @return {Promise<Response>} Response
 */
declare const Preview: (context: ServerlessContext, setupServerless: ServerlessSetup, getData: typeof getAllContentfulData | typeof getAllWordPressData) => Promise<Response>;
export { Preview };
