/**
 * Serverless - Reload
 */
import type { ServerlessContext, ServerlessSetup } from '../serverlessTypes.js';
import type { getAllContentfulData } from '../../contentful/contentfulData.js';
import type { getAllWordPressData } from '../../wordpress/wordpressData.js';
/**
 * Output paginated and/or filtered page on browser reload
 *
 * @param {ServerlessContext} context
 * @param {ServerlessSetup} setupServerless
 * @param {function} getData - getAllContentfulData | getAllWordPressData
 * @return {Promise<Response>} Response
 */
declare const Reload: (context: ServerlessContext, setupServerless: ServerlessSetup, getData: typeof getAllContentfulData | typeof getAllWordPressData) => Promise<Response>;
export { Reload };
