/**
 * Utils - Response Error
 */
/**
 * Custom exception to include fetch response
 */
class ResponseError extends Error {
    /**
     * Response data
     *
     * @type {Response|undefined}
     */
    response;
    /**
     * Set properties
     *
     * @param {string} message
     * @param {Response} [res]
     */
    constructor(message, res) {
        super(message);
        this.message = message;
        if (res instanceof Response) {
            this.response = res;
        }
    }
}
/* Exports */
export { ResponseError };
