/**
 * Utils - Image
 */
import type { ImageArgs, ImageReturnType, ImageMaxWidthArgs } from './imageTypes.js';
/**
 * Get responsive image output
 *
 * @param {ImageArgs} args
 * @param {boolean} [returnDetails]
 * @return {ImageReturnType}
 */
declare const getImage: <V extends boolean = false>(args: ImageArgs, returnDetails?: V) => ImageReturnType<V>;
/**
 * Get closest value in config sizes
 *
 * @param {number} size
 * @return {number}
 */
declare const getImageClosestSize: (size: number) => number;
/**
 * Calculate max width from column and container parents
 *
 * @param {ImageMaxWidthArgs} args
 * @return {number}
 */
declare const getImageMaxWidth: (args: ImageMaxWidthArgs) => number;
export { getImage, getImageClosestSize, getImageMaxWidth };
