/**
 * Utils - Object
 */
/**
 * Check if value is an object
 *
 * @param {*} value
 * @return {boolean}
 */
const isObject = (value) => {
    return typeof value === 'object' && value != null;
};
/**
 * Check if value is an object and not object-like (array, map, blob etc.)
 *
 * @param {*} value
 * @return {boolean}
 */
const isObjectStrict = (value) => {
    return isObject(value) && Object.prototype.toString.call(value) === '[object Object]';
};
/* Exports */
export { isObject, isObjectStrict };
