/**
 * WordPress - Data
 */
import type { WordPressDataParams, AllWordPressDataArgs } from './wordpressDataTypes.js';
import type { RenderAllData, RenderItem } from '../render/renderTypes.js';
/**
 * Fetch data from wordpress cms or cache
 *
 * @param {string} key
 * @param {string} route
 * @param {WordPressDataParams} [params]
 * @param {number} [_page]
 * @return {Promise<RenderItem[]>}
 */
declare const getWordPressData: (key: string, route: string, params?: WordPressDataParams, _page?: number) => Promise<RenderItem[]>;
/**
 * Fetch data from all content types or single entry if serverless
 *
 * @param {AllWordPressDataArgs} args
 * @return {Promise<RenderAllData|undefined>}
 */
declare const getAllWordPressData: (args?: AllWordPressDataArgs) => Promise<RenderAllData | undefined>;
export { getWordPressData, getAllWordPressData };
