/**
 * WordPress - Data Normal
 */
import type { WordPressDataItem } from './wordpressDataTypes.js';
import type { RenderItem } from '../render/renderTypes.js';
/**
 * Taxonomies grouped by id
 *
 * @type {Map<string, RenderItem>}
 */
declare const taxonomiesById: Map<string, RenderItem>;
/**
 * Transform wordpress data into simpler objects
 *
 * @param {WordPressDataItem[]} data
 * @param {string} [route]
 * @param {RenderItem[]} [_newData]
 * @return {RenderItem[]}
 */
declare const normalizeWordPressData: (data: WordPressDataItem[], route?: string, _newData?: RenderItem[]) => RenderItem[];
export { normalizeWordPressData, taxonomiesById };
